## 66-service-systemd-logind 0.0.1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

-include config.mak
include package/targets.mak

LOWDOWN := $(shell type -p lowdown)
ifdef LOWDOWN
GENERATE_HTML := $(shell doc/make-html.sh)
GENERATE_MAN := $(shell doc/make-man.sh)
endif
INSTALL_HTML := $(wildcard doc/html/*.html)
INSTALL_MAN := $(wildcard doc/man/*/*)
INSTALL := ./tools/install.sh

clean:
	@exec rm -rf $(DESTDIR)

install: install-service install-user-service install-html install-man
install-service: $(SERVICE_TARGET:service/%=$(DESTDIR)$(service_directory)/%)
install-html: $(INSTALL_HTML:doc/html/%.html=$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html)
install-man: install-man1
install-man1: $(INSTALL_MAN:doc/man/man1/%.1=$(DESTDIR)$(mandir)/man1/%.1)

$(DESTDIR)$(service_directory)/%: service/%
	exec $(INSTALL) -D -m 644 $< $@
	exec sed -e "s/@BINDIR@/$(subst /,\/,$(bindir))/g" \
			-e "s/@SYSCONFDIR@/$(subst /,\/,$(sysconfdir))/g" \
			-e "s/@DATAROOTDIR@/$(subst /,\/,$(datarootdir))/g" \
			-e "s/@LIVEDIR@/$(subst /,\/,$(livedir))/g" \
			-e "s/@SERVICE_DIRECTORY@/$(subst /,\/,$(service_directory))/g" \
			-e "s/@SCRIPT_DIRECTORY@/$(subst /,\/,$(script_directory))/g" \
			-e "s/@SEED_DIRECTORY@/$(subst /,\/,$(seed_directory))/g" \
			-e "s/@SERVICE_CONF_DIRECTORY@/$(subst /,\/,$(adm_conf))/g" \
			-e "s/@SKEL_DIRECTORY@/$(subst /,\/,$(skel_directory))/g" \
			-e "s/@EXECLINE_SHEBANGPREFIX@/$(subst /,\/,$(shebangdir))/g" \
			-e "s/@VERSION@/$(subst /,\/,$(version))/g"  $< > $@

$(DESTDIR)$(datarootdir)/doc/$(package_doc)/%.html: doc/html/%.html
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%skel_directory%%,$(skel_directory),g' $< > $@

$(DESTDIR)$(mandir)/man1/%.1: doc/man/man1/%.1
	$(INSTALL) -D -m 644 $< $@ && \
	sed -e 's,%%skel_directory%%,$(skel_directory),g' $< > $@

version:
	@echo $(version)

.PHONY: clean install install-service install-user-service version install-html install-man

.DELETE_ON_ERROR:

=== debian/changelog ===
66-service-systemd-logind (0.0.1-0experimental1) UNRELEASED; urgency=medium

  * Original release built from upstream. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 22 Jun 2024 22:22:22 +1000

=== debian/control ===
Source: 66-service-systemd-logind
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 10),
 s6 (>= 2.12.0.3),
 libs6-dev (>= 2.12),
 skalibs-dev (>= 2.14.0.1),
 execline (>= 2.9.4.0),
 libexecline-dev (>= 2.9),
 s6-portable-utils (>= 2.3.0.3),
 oblibs (>= 0.2.0.0),
 66-tools (>= 0.1.0.0)
Standards-Version: 4.6.2
Homepage: https://git.obarun.org/66-service/debian/systemd-logind
Vcs-Browser: https://salsa.debian.org/init-diversity-team/s6-66/66-service-systemd-logind
Vcs-Git: https://salsa.debian.org/init-diversity-team/s6-66/66-service-systemd-logind.git

Package: 66-service-systemd-logind
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 66 (>= 0.7.0.0),
 66-tools (>= 0.1.0.0),
 66-service-boot | boot-66serv,
 execline (>= 2.9.4.0),
 s6 (>= 2.12.0.3),
 s6-linux-utils (>= 2.6.2.0),
 s6-portable-utils (>= 2.3.0.3),
 66-service-dbus,
 systemd-shim,
 systemd-init-diversity | systemd,
Recommends:
 66-service-boot-user,
 66-service-slim | 66-service-slimski | 66-service-lightdm | 66-service-sddm | 66-service-lxdm,
Suggests:
 66-service-scandir,
Breaks:
 s6-66-services
Replaces:
 s6-66-services
Description: 66 service longrun to manage systemd-logind.
 Installs & configures the systemd-logind service for s6-66.

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git" https://salsa.debian.org/init-diversity-team/s6-66/66-service-systemd-logind.git
#    refs/tags/v([\d\.]+)

## 66-service-systemd-logind 0.0.2

=== debian/changelog ===
66-service-systemd-logind (0.0.2-0experimental1) UNRELEASED; urgency=medium

  * Adapted to 66 v(0.8.0.0). 
  * Updated debian/rules.
  * Updated maintainer scripts.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 26 Apr 2025 22:22:22 +1000

=== debian/control ===
Source: 66-service-systemd-logind
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2

Package: 66-service-systemd-logind
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6-66-init-diversity (>= 0.0.1) | s6-66-init (>= 0.0.1),
 systemd,
Provides:
 66-service-logind,
Recommends:
 66-service-seatd (>= 0.0.2),
 66-service-dbus (>= 0.0.2),
 66-service-slim (>= 0.0.2) | 66-service-slimski (>= 0.0.2) | 66-service-lightdm (>= 0.0.2) | 66-service-sddm (>= 0.0.2) | 66-service-lxdm (>= 0.0.2),
 66-service-xdg-user-dirs (>= 0.0.2),
Breaks:
 s6-66-services,
Replaces:
 s6-66-services,
Description: 66 service module to manage systemd-logind under s6-66.
 This package provides service frontend files & handles dependencies 
 for the systemd-logind service on a Debian system running under s6-66.

=== debian/watch ===
--- 
+++ 
@@ -7,5 +7,5 @@
 version=4
 
 # Direct Git.
-opts="mode=git" https://salsa.debian.org/init-diversity-team/s6-66/66-service-systemd-logind.git
+opts="mode=git" https://git.obarun.org/66-service/arch/systemd-logind.git
 #    refs/tags/v([\d\.]+)
